AI resources
Get order by ID

This endpoint allows to consult all order information using the ID obtained in the response to its creation, as long as it was created less than 3 months ago. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/v1/orders/{order_id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
order_id
string

REQUIRED

Identifier of the order to be queried. This value is returned in the response to the request made to the endpoint POST /v1/orders.
Response parameters
id
string
Identifier of the order created in the request, automatically generated by Mercado Pago.
user_id
string
ID of the Mercado Pago account that created the order.
type
string
Order type.
point: Order created for Mercado Pago Point payments.
external_reference
string
It is the external reference of the order, assigned when creating it. The maximum allowed limit is 64 characters, and the allowed characters are: uppercase and lowercase letters, numbers, and the symbols hyphen (-) and u
Errors

400Error.

bad_request

The order_id provided in the request path is not correct. Please confirm it and provide a valid ID to try again.

invalid_installments_cost_config

The seller has a restriction that prevents the use of interest-free or interest-bearing installments. Verify that the seller has completed the installment configuration in their Mercado Pago account.

invalid_default_installments

The requested number of installments is not among the options enabled by the seller. Send a default_installments value within the available options configured for that seller in the Mercado Pago account.

missing_installments_cost

The number of installments (default_installments) is greater than 1 and no financial cost responsible was indicated for this installment (installments_cost). Redo the operation adding installments_cost with value seller or buyer.

invalid_installments_cost_single

Defining that the installment costs belong to the buyer (installments_cost=buyer) is invalid when default_installments=1 because a single installment has no financing cost. Redo the operation using installments_cost=seller or omit both fields.

invalid_payment_method_for_installments

The fields default_installments and installments_cost can only be sent when the defined payment method is credit card. Redo the operation adding default_type=credit_card to the payload or remove the installment fields if the payment is by debit card.

minimum_amount_not_met

The transaction amount is below the minimum required for the requested installment plan. Increase the amount or reduce the number of installments.

401Error.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

404Error.

order_not_found

Order not found. Please check if you provided the correct order ID.

500Error.

500

Internal server error. Please try submitting the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/orders/{order_id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-1*********685765-12*********1b4332e5c*********e077d7679*********664' \
    
Response
{
  "id": "ORD00001111222233334444555566",
  "user_id": "5238400195",
  "type": "point",
  "external_reference": "ext_ref_1234",
  "expiration_time": "PT2M",
  "processing_mode": "automatic",
  "description": "Smartphone",
  "country_code": "AR",
  "integration_data": {
    "application_id": "1234567890",
    "platform_id": "dev_1234567890",
    "integrator_id": "dev_123456",
    "sponsor": {
      "id": "446566691"
    }
  },
  "status": "refunded",
  "status_detail": "refunded",
  "created_date": "2024-09-10T14:26:42.109320977Z",
  "last_updated_date": "2024-09-10T14:26:42.109320977Z",
  "config": {
    "point": {
      "terminal_id": "NEWLAND_N950__SBX0000001",
      "screen_time": "PT15S",
      "print_on_terminal": "no_ticket",
      "ticket_number": "S0392JED"
    },
    "payment_method": {
      "default_type": "credit_card",
      "default_installments": 6,
      "installments_cost": "seller"
    }
  },
  "transactions": {
    "payments": [
      {
        "id": "PAY01J67CQQH5904WDBVZEM4JMEP3",
        "amount": "24.50",
        "refunded_amount": "38",
        "paid_amount": "50.00",
        "status": "created",
        "status_detail": "created",
        "reference_id": "12345678",
        "payment_method": {
          "type": "credit_card",
          "installments": "6",
          "id": "master"
        },
        "card": {
          "first_digits": "credit_card",
          "last_digits": "credit_card"
        }
      }
    ],
    "refunds": [
      {
        "id": "REF01J67CQQH5904WDBVZEM1234D",
        "transaction_id": "PAY01J67CQQH5904WDBVZEM4JMEP3",
        "reference_id": "12345678",
        "amount": "24.50",
        "status": "processed"
      }
    ]
  }
}